<?php
/* Mantenimiento de los registros de la tabla VTA_ProductoFinal redefinidos por el usaurio */
class VTA_ProductoFinalDP extends BaseVTA_ProductoFinalDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( ProFinalId ) IS NULL, 1, MAX( ProFinalId ) + 1 ) i_Id  FROM VTA_ProductoFinal ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
    
    public static function recuperarSecuencia( $s_OrdenId )
    {
        $s_Sql = "SELECT IF( MAX( Secuencia ) IS NULL, 1, MAX( Secuencia ) + 1 ) i_Id  FROM VTA_ProductoFinal WHERE OrdenId=$s_OrdenId ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        $s_Id = str_pad( $i_Id, 3, "0", STR_PAD_LEFT );
        return $s_Id;
    }
}
?>